
 LinHES - Bug # 434: provide latest of each of the four nVidia driver branches

Status: Closed Priority: High
Author: Human Category: Packages: Core
Created: 07/14/2009 Assignee:
Updated: 12/12/2010 Due date: 01/10/2011
Description: http://www.nvidia.com/object/unix.html shows that there are now four branches of nVidia drivers, with one 

"latest" and three "legacy."  As of this writing, they are:

Latest Version: 185.18.14
Latest Legacy GPU version (71.86.xx series): 71.86.11
Latest Legacy GPU version (96.43.xx series): 96.43.13
Latest Legacy GPU version (173.14.xx series): 173.14.20

This is obviously a moving target, so a decision has to be made as to when LinHES will grab the latest of each 
of these four branches so that testers have time to work with them and determine whether or not an upgrade 
or downgrade is best.

History
07/23/2009 03:11 pm - Human
One area where the PKGBUILD needs to be improved is that it's hardcoded to download a .run file ending in -pkg0.run.  As of this writing, the latest 
release of the 185.18.14 x86 drivers is available as -pkg1.run.  The pkg0 version is still there, but the pkg1 version is so much larger that I wonder what 
I'm missing in the pkg0 version.  Needs to be investigated, and the PKGBUILD should probably try downloading pkg9.run and work its way backwards 
until it finds a hit.

08/05/2009 11:07 am - Human
There's a new "latest" driver as of today (actually as of 7/28): 185.18.29

Lots of VDPAU fixes in this release.

11/02/2009 07:08 am - tophee
Can the repos be updated again to include the newer 190.42 drivers as there are more VDPAU fixes, and (according to my reading around) support for 
imbedded subtitles.

11/22/2009 06:02 pm - mihanson
I second tophee's request above.  190.42 was released on Oct 27, 2009

01/06/2010 06:04 am - tophee
Nvidia drivers are now upto 190.53. THis was issues on 2009.12.16. Could packages be updated to refelct this? Here are the release highlights:

    *  Modified the installation location and names of internal VDPAU libraries to conform to conventions and Debian packaging guidelines. New versions 
of libvdpau expect this layout. Compatibility with old versions of libvdpau is maintained with symlinks.
    * Fixed a bug that could cause errors in graphical applications run after a previous application using VDPAU and OpenGL. This behaviour was 
observed when running Gwenole Beauchesne's hwdecode-demos application.
    * Modified vdpau.h to increment VDPAU_VERSION, to reflect the fact that new features have been added in the past. Also, add the new define 
VDPAU_INTERFACE_VERSION.
    * Fixed a periodic temporary hang in the VDPAU blit-based presentation queue.
    * Fixed a problem that caused resolution limitations or corruption on certain DisplayPort devices such as the Apple 24" Cinema display or some 
DisplayPort to VGA adapters.
    * Disabled the UseEvents option for GeForce 8 series and higher GPUs due to a problem that causes occasional short hangs. It will be re-enabled 
when that bug has been tracked down and fixed.
    * VDPAU now allows multiple streams to be decoded at once, without the need to set any environment variables.
Thanks Chris

06/22/2010 03:03 pm - brfransen
- Target version set to 7.1

- Due date set to 08/08/2010

- Category set to Packages: Core

- % Done changed from 0 to 100

- Status changed from New to Closed

71xx added: http://linhes.org/cgit/cgit.cgi/LinHES-PKGBUILD/commit/?id=624a2291c16a0b91222e6ff2ae1a91bad5ae4197
96xx added: http://linhes.org/cgit/cgit.cgi/LinHES-PKGBUILD/commit/?id=217401f5da3a6b6784de2ca9a03d90ebee6c47e5
173xx added: http://linhes.org/cgit/cgit.cgi/LinHES-PKGBUILD/commit/?id=c8ccbdbd98e72726a19d92c28ceb3a3cf363a4f8
195xx added: http://linhes.org/cgit/cgit.cgi/LinHES-PKGBUILD/commit/?id=5752b88b8bc22ffb54973fda81c142e39be1e0b5
